ComponentContext (Struts Tiles 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles
Class ComponentContext

    java.lang.Object
      org.apache.struts.tiles.ComponentContext

All Implemented Interfaces:
  Serializable

    public class ComponentContext

extends Object
implements Serializable

Component context.

See Also:
  Serialized Form

Constructor Summary
`ComponentContext()` Constructor.
`ComponentContext(Map attributes)` Constructor.

Method Summary
`void` | `addAll(Map newAttributes)` Add all attributes to this context.
`void` | `addMissing(Map defaultAttributes)` Add all missing attributes to this context.
`Object` | `findAttribute(String beanName, PageContext pageContext)` Find object in one of the contexts.
`Object` | `getAttribute(String name)` Get an attribute from context.
`Object` | `getAttribute(String beanName, int scope, PageContext pageContext)` Get object from requested context.
`Iterator` | `getAttributeNames()` Get names of all attributes.
`static ComponentContext` | `getContext(ServletRequest request)` Get component context from request.
`void` | `putAttribute(String name, Object value)` Put a new attribute to context.
`static void` | `setContext(ComponentContext context, ServletRequest request)` Store component context into request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentContext

    public ComponentContext()

  Constructor.

### ComponentContext

    public ComponentContext(Map attributes)

  Constructor. Create a context and set specified attributes.

  Parameters:
    `attributes` - Attributes to initialize context.

Method Detail

### addAll

    public void addAll(Map newAttributes)

  Add all attributes to this context. Copies all of the mappings from the specified attribute map to this context. New attribute mappings will replace any mappings that this context had for any of the keys currently in the specified attribute map.

  Parameters:
    `newAttributes` - Attributes to add.

### addMissing

    public void addMissing(Map defaultAttributes)

  Add all missing attributes to this context. Copies all of the mappings from the specified attributes map to this context. New attribute mappings will be added only if they don't already exist in this context.

  Parameters:
    `defaultAttributes` - Attributes to add.

### getAttribute

    public Object getAttribute(String name)

  Get an attribute from context.

  Parameters:
    `name` - Name of the attribute.
  Returns:
    <{Object}>

### getAttributeNames

    public Iterator getAttributeNames()

  Get names of all attributes.

  Returns:
    <{Object}>

### putAttribute

    public void putAttribute(String name,
                             Object value)

  Put a new attribute to context.

  Parameters:
    `name` - Name of the attribute.
    `value` - Value of the attribute.

### findAttribute

    public Object findAttribute(String beanName,
                                PageContext pageContext)

  Find object in one of the contexts. Order : component then pageContext.findAttribute()

  Parameters:
    `beanName` - Name of the bean to find.
    `pageContext` - Page context.
  Returns:
    Requested bean or `null` if not found.

### getAttribute

    public Object getAttribute(String beanName,
                               int scope,
                               PageContext pageContext)

  Get object from requested context. Context can be 'component'.

  Parameters:
    `beanName` - Name of the bean to find.
    `scope` - Search scope (see `PageContext`).
    `pageContext` - Page context.
  Returns:
    requested bean or `null` if not found.

### getContext

    public static ComponentContext getContext(ServletRequest request)

  Get component context from request.

  Parameters:
    `request` - ServletRequest.
  Returns:
    ComponentContext or null if context is not found or an jspException is present in the request.

### setContext

    public static void setContext(ComponentContext context,
                                  ServletRequest request)

  Store component context into request.

  Parameters:
    `context` - ComponentContext to store.
    `request` - Request to store ComponentContext.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.